don't use paste to configure authtoken

Bug #1240753 reported by Dan Prince on 2013-10-17
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Cinder
Low
Dan Prince
Manila
Undecided
Thomas Bechtold
OpenStack Compute (nova)
Undecided
Dan Prince
devstack
Undecided
Dan Prince
tripleo
Low
Dan Prince

Bug Description

Several services (Nova/Cinder) still default to using api-paste.ini for keystoneclient's authtoken configuration. We should move towards using a more editable config files (nova.conf/cinder.conf) for this...

Dan Prince (dan-prince) on 2013-10-17
Changed in nova:
assignee: nobody → Dan Prince (dan-prince)
Changed in cinder:
assignee: nobody → Dan Prince (dan-prince)
Changed in nova:
status: New → In Progress
Changed in cinder:
status: New → In Progress
Changed in devstack:
assignee: nobody → Dan Prince (dan-prince)
status: New → In Progress
Changed in tripleo:
assignee: nobody → Dan Prince (dan-prince)
status: New → In Progress
Changed in cinder:
importance: Undecided → High
Changed in cinder:
importance: High → Low
milestone: none → icehouse-1

Reviewed: https://review.openstack.org/52259
Committed: http://github.com/openstack-dev/devstack/commit/82dea7c64a1a7ac81a1a02753e516bb1d67eebd2
Submitter: Jenkins
Branch: master

commit 82dea7c64a1a7ac81a1a02753e516bb1d67eebd2
Author: Dan Prince <email address hidden>
Date: Wed Oct 16 18:57:15 2013 -0400

    Use cinder.conf for auth_token configs.

    Updates lib/cinder so that we use the application config file (cinder.conf)
    instead of the Cinder api-paste.ini config file.

    Related-Bug #1240753

    Change-Id: I6636d33ee522757145ac97fc354324a8b9379700

Reviewed: https://review.openstack.org/52258
Committed: http://github.com/openstack-dev/devstack/commit/741fc5c08496db1518a7698b093aa1f696f67c4f
Submitter: Jenkins
Branch: master

commit 741fc5c08496db1518a7698b093aa1f696f67c4f
Author: Dan Prince <email address hidden>
Date: Wed Oct 16 17:48:16 2013 -0400

    Use nova.conf for auth_token configs.

    Updates lib/nova so that we use the application config file (nova.conf)
    instead of the Nova api-paste.ini config file.

    Related-Bug #1240753

    Change-Id: I393a67f1f005e775928130c9241aa7e25c391ae3

Reviewed: https://review.openstack.org/52632
Committed: http://github.com/openstack/cinder/commit/ca81de658394c545c784c40dd7369b75bc6e3a2d
Submitter: Jenkins
Branch: master

commit ca81de658394c545c784c40dd7369b75bc6e3a2d
Author: Dan Prince <email address hidden>
Date: Fri Oct 18 09:23:38 2013 -0400

    Add auth_token settings to cinder.conf.sample.

    Updates our example config file so that it includes configuration
    settings for the auth_token middleware.

    A step towards using cinder.conf instead of the api-paste.ini config file
    for authtoken configuration.

    Once https://review.openstack.org/#/c/52259/ lands I'll push another
    review which removes the settings from api-paste.ini (which takes priority).

    Related-Bug #1240753

    Change-Id: I6636d33ee522757145ac97fc354324a8b9379700

Reviewed: https://review.openstack.org/52826
Committed: http://github.com/openstack/cinder/commit/5d04c6d1df953c5beefe751ff8e9c332e25b2661
Submitter: Jenkins
Branch: master

commit 5d04c6d1df953c5beefe751ff8e9c332e25b2661
Author: Dan Prince <email address hidden>
Date: Sun Oct 20 11:47:16 2013 -0400

    Drop auth_token configs for api-paste.ini.

    We now prefer to use cinder.conf to configure keystoneclients
    auth_token configs.

    Also, Devstack has now been update to allow this:

    https://review.openstack.org/#/c/52259/

    Related-Bug #1240753

    Change-Id: I2a4b300af37eddf5010b97ca796f0552941642a8

Changed in tripleo:
importance: Undecided → Low

Reviewed: https://review.openstack.org/53213
Committed: http://github.com/openstack-dev/devstack/commit/f5d35b71e51a44223ccc012f344038e1a43d6d0a
Submitter: Jenkins
Branch: stable/havana

commit f5d35b71e51a44223ccc012f344038e1a43d6d0a
Author: Dan Prince <email address hidden>
Date: Wed Oct 16 18:57:15 2013 -0400

    Use cinder.conf for auth_token configs.

    Updates lib/cinder so that we use the application config file (cinder.conf)
    instead of the Cinder api-paste.ini config file.

    Related-Bug #1240753

    Change-Id: I6636d33ee522757145ac97fc354324a8b9379700

tags: added: in-stable-havana

Reviewed: https://review.openstack.org/53212
Committed: http://github.com/openstack-dev/devstack/commit/763a3f9122654ba0c85736c327f5797b27591d5d
Submitter: Jenkins
Branch: stable/havana

commit 763a3f9122654ba0c85736c327f5797b27591d5d
Author: Dan Prince <email address hidden>
Date: Wed Oct 16 17:48:16 2013 -0400

    Use nova.conf for auth_token configs.

    Updates lib/nova so that we use the application config file (nova.conf)
    instead of the Nova api-paste.ini config file.

    Related-Bug #1240753

    Change-Id: I393a67f1f005e775928130c9241aa7e25c391ae3

Reviewed: https://review.openstack.org/52268
Committed: http://github.com/openstack/nova/commit/f73c28eebf1b485957047948da643858be38b751
Submitter: Jenkins
Branch: master

commit f73c28eebf1b485957047948da643858be38b751
Author: Dan Prince <email address hidden>
Date: Wed Oct 16 22:18:47 2013 -0400

    Add auth_token settings to nova.conf.sample.

    Updates our example config file so that it includes configuration
    settings for the auth_token middleware.

    Includes the latest generate_sample.sh from Oslo.

    Related-Bug: #1240753

    Change-Id: I393a67f1f005e775928130c9241aa7e25c391ae3

Changed in cinder:
milestone: icehouse-1 → none
Alan Pevec (apevec) on 2013-12-14
tags: removed: in-stable-havana
Dan Prince (dan-prince) on 2014-01-03
Changed in cinder:
status: In Progress → Fix Committed
Changed in nova:
status: In Progress → Fix Committed
Changed in devstack:
status: In Progress → Fix Committed
Changed in tripleo:
status: In Progress → Fix Committed
Changed in nova:
milestone: none → icehouse-2
Thierry Carrez (ttx) on 2014-01-22
Changed in nova:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2014-01-22
Changed in cinder:
milestone: none → icehouse-2
status: Fix Committed → Fix Released
Dean Troyer (dtroyer) on 2014-01-27
Changed in devstack:
status: Fix Committed → Fix Released
Tomas Sedovic (tsedovic) on 2014-02-13
Changed in tripleo:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2014-04-17
Changed in nova:
milestone: icehouse-2 → 2014.1
Thierry Carrez (ttx) on 2014-04-17
Changed in cinder:
milestone: icehouse-2 → 2014.1
Changed in manila:
assignee: nobody → Thomas Bechtold (toabctl)

Reviewed: https://review.openstack.org/134205
Committed: https://git.openstack.org/cgit/openstack/manila/commit/?id=73d867a12c126a9f9c0abd84fa1570dee6a27ce6
Submitter: Jenkins
Branch: master

commit 73d867a12c126a9f9c0abd84fa1570dee6a27ce6
Author: Thomas Bechtold <email address hidden>
Date: Thu Nov 13 09:01:48 2014 +0100

    Use keystonemiddleware and manila.conf for config

    Switch to keystonemiddleware so a full keystoneclient installation is no
    longer required.
    Also move the configuration parameters for auth_token from api-paste.ini
    to manila.conf. api-paste.ini configuration can still be used and take
    priority over parameters from manila.conf.
    Finally adjust devstack lib and use manila.conf to configure auth_token.

    Related-Bug: #1240753
    Change-Id: I4317ffca174a0f73dddc7030b367d49130040c77

Changed in manila:
status: New → Fix Committed
milestone: none → kilo-1
Thierry Carrez (ttx) on 2014-12-18
Changed in manila:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2015-04-30
Changed in manila:
milestone: kilo-1 → 2015.1.0
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers